Note (BioJava-1.5-beta API)
Keywords: org.biojavax.Note interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface Note

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleNote

    public interface Note

extends Comparable, Changeable

Note is a generic class intended to hold a term describing the note, a value to associate with that term, and a rank. It is a generic representation of the various qualifier_value tables in BioSQL. It is used inside RichAnnotation objects to represent annotations.

Since:
  1.5
Author:
  Richard Holland
See Also:
  `RichAnnotation`

Field Summary
`static ChangeType` | `RANK`
`static ChangeType` | `TERM`
`static ChangeType` | `VALUE`

Method Summary
`int` | `getRank()` Gets the rank that defines this note.
`ComparableTerm` | `getTerm()` Gets the term that defines this note.
`String` | `getValue()` Gets the value that defines this note.
`void` | `setRank(int value)` Sets the rank for this note.
`void` | `setTerm(ComparableTerm term)` Sets the term for this note.
`void` | `setValue(String value)` Sets the value for this note, or null for no value.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### TERM

    static final ChangeType TERM

### RANK

    static final ChangeType RANK

### VALUE

    static final ChangeType VALUE

Method Detail

### getTerm

    ComparableTerm getTerm()

  Gets the term that defines this note.

  Returns:
    a ComparableTerm object that is the key to this note.

### setTerm

    void setTerm(ComparableTerm term)
                 throws ChangeVetoException

  Sets the term for this note. It cannot be null.

  Parameters:
    `term` - the term to use.
  Throws:
    `ChangeVetoException` - if it doesn't like the term.

### getValue

    String getValue()

  Gets the value that defines this note.

  Returns:
    a String object that is the value to this note.

### setValue

    void setValue(String value)
                  throws ChangeVetoException

  Sets the value for this note, or null for no value.

  Parameters:
    `value` - the value to use.
  Throws:
    `ChangeVetoException` - if it doesn't like the value.

### getRank

    int getRank()

  Gets the rank that defines this note.

  Returns:
    an int that is the rank to this note.

### setRank

    void setRank(int value)
                 throws ChangeVetoException

  Sets the rank for this note.

  Parameters:
    `value` - the rank to use.
  Throws:
    `ChangeVetoException` - if it doesn't like the rank.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD